<template>
  <div class="page-cart">
    <div v-if="cart.length > 0" class="page-order tra-gop flex">
      <div class="col-left">
        <div class="form-default">
          <div class="tab-main">
            <a class="active" href="javascript:;">
              <svg class="icon-svg">
                <use xlink:href="/images/icons/icon.svg#cart3" />
              </svg>
              Qua thẻ tín dụng
            </a>
            <!-- <a class="active" href="#">
              <svg class="icon-svg">
                <use xlink:href="/images/icons/icon.svg#money" />
              </svg>
              Qua công ty tài chính
            </a> -->
          </div>
          <!-- <div class="flex space-between mb20">
            <div class="col_sothang mb20">
              <div class="txt_16 medium mb5">Số tháng trả góp</div>
              <a href="#" class="active mounth">6 tháng</a>
              <a href="#" class="mounth">9 tháng</a>
              <a href="#" class="mounth">12 tháng</a>
            </div>
            <div class="so_tien mb20">
              <div class="txt_16 medium mb5">Số tiền muốn trả góp</div>
              <div class="form-group mb0">
                <div class="input-wrap">
                  <select class="form-control">
                    <option>0 đ</option>
                  </select>
                </div>
              </div>
            </div>
          </div>
          <div class="table-responsive">
            <table class="table table-default">
              <tbody>
                <tr>
                  <td>Công ty</td>
                  <td style="width: 250px;">
                    <strong>Home Credit</strong>
                  </td>
                  <td style="width: 250px;">
                    <strong>Home Credit</strong>
                  </td>
                </tr>
                <tr>
                  <td>Giá sản phẩm</td>
                  <td>38.990.000</td>
                  <td>38.990.000</td>
                </tr>
                <tr>
                  <td>Giá sản phẩm</td>
                  <td>CMND + Bằng lái xe / hộ khẩu copy</td>
                  <td>CMND + Bằng lái xe / hộ khẩu copy</td>
                </tr>
                <tr>
                  <td>Giá sản phẩm</td>
                  <td>38.990.000</td>
                  <td>38.990.000</td>
                </tr>
                <tr>
                  <td>Giá sản phẩm</td>
                  <td>CMND + Bằng lái xe / hộ khẩu copy</td>
                  <td>CMND + Bằng lái xe / hộ khẩu copy</td>
                </tr>
                <tr>
                  <td>Giá sản phẩm</td>
                  <td>38.990.000</td>
                  <td>38.990.000</td>
                </tr>
                <tr>
                  <td>Giá sản phẩm</td>
                  <td>CMND + Bằng lái xe / hộ khẩu copy</td>
                  <td>CMND + Bằng lái xe / hộ khẩu copy</td>
                </tr>
                <tr class="border_0">
                  <td></td>
                  <td>
                    <a class="btn-default color-white full" href="#">Mua</a>
                  </td>
                  <td>
                    <a class="btn-default color-white full" href="#">Mua</a>
                  </td>
                </tr>
              </tbody>
            </table>
          </div> -->

          <div class="flex space-between mb20">
            <div class="so_tien mb20">
              <div class="txt_16 medium mb5">Số tiền muốn trả góp</div>
              <div class="form-group mb0">
                <div class="input-wrap">
                  <select class="form-control">
                    <option>{{ infoAlepay.money | formatNumber }}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>

          <div class="txt_16 medium mb24">Loại thẻ thanh toán</div>
          <ul class="b3_nhtt">
            <li :class="{ active: infoAlepay.card == 'visa' }">
              <a href="javascript:;" @click="infoAlepay.card = 'visa'">
                <img src="/images/card/visa.jpg" alt="visa" />
              </a>
            </li>
            <li :class="{ active: infoAlepay.card == 'master' }">
              <a href="javascript:;" @click="infoAlepay.card = 'master'">
                <img src="/images/card/master.jpg" alt="master" />
              </a>
            </li>
            <li :class="{ active: infoAlepay.card == 'jcb' }">
              <a href="javascript:;" @click="infoAlepay.card = 'jcb'">
                <img src="/images/card/jcb.jpg" alt="jcb" />
              </a>
            </li>
          </ul>

          <div class="txt_16 medium mb24">Ngân hàng trả góp</div>
          <ul class="b3_nhtt">
            <li class="active">
              <a>
                <img src="/images/nganhang/nhang_5.png" alt />
              </a>
            </li>
            <li>
              <a>
                <img src="/images/nganhang/nhang_12.png" alt />
              </a>
            </li>
            <li>
              <a>
                <img src="/images/nganhang/nhang_4.png" alt />
              </a>
            </li>
            <li>
              <a>
                <img src="/images/nganhang/nhang_18.png" alt />
              </a>
            </li>
            <li>
              <a>
                <img src="/images/nganhang/nhang_13.png" alt />
              </a>
            </li>
            <li>
              <a>
                <img src="/images/nganhang/nhang_10.png" alt />
              </a>
            </li>
            <li>
              <a>
                <img src="/images/nganhang/nhang_17.png" alt />
              </a>
            </li>
            <li>
              <a>
                <img src="/images/nganhang/nhang_2.png" alt />
              </a>
            </li>
            <li>
              <a>
                <img src="/images/nganhang/nhang_9.png" alt />
              </a>
            </li>
            <li>
              <a>
                <img src="/images/nganhang/nhang_11.png" alt />
              </a>
            </li>
            <li>
              <a>
                <img src="/images/nganhang/nhang_14.png" alt />
              </a>
            </li>
            <li>
              <a>
                <img src="/images/nganhang/nhang_3.png" alt />
              </a>
            </li>
          </ul>
          <div class="table-responsive">
            <table class="table table-default">
              <tbody>
                <tr>
                  <td>Số tháng trã góp</td>
                  <td style="width: 170px;">
                    <strong>6 tháng</strong>
                  </td>
                  <td style="width: 170px;">
                    <strong>9 tháng</strong>
                  </td>
                  <td style="width: 170px;">
                    <strong>12 tháng</strong>
                  </td>
                </tr>
                <tr>
                  <td>Giá sản phẩm</td>
                  <td>{{ totalPrice | formatNumber }}</td>
                  <td>{{ totalPrice | formatNumber }}</td>
                  <td>{{ totalPrice | formatNumber }}</td>
                </tr>
                <tr>
                  <td>Giá mua trả góp</td>
                  <td>{{ totalPrice | formatNumber }}</td>
                  <td>{{ totalPrice | formatNumber }}</td>
                  <td>{{ totalPrice | formatNumber }}</td>
                </tr>
                <tr>
                  <td>Lãi suất thực</td>
                  <td>0%</td>
                  <td>0%</td>
                  <td>0%</td>
                </tr>
                <tr>
                  <td>Góp mỗi tháng</td>
                  <td>{{ totalPrice | formatNumber }}</td>
                  <td>{{ totalPrice | formatNumber }}</td>
                  <td>{{ totalPrice | formatNumber }}</td>
                </tr>
                <tr>
                  <td>Tổng tiền phải trả</td>
                  <td>
                    <strong>{{ totalPrice | formatNumber }}</strong>
                  </td>
                  <td>
                    <strong>{{ totalPrice | formatNumber }}</strong>
                  </td>
                  <td>
                    <strong>{{ totalPrice | formatNumber }}</strong>
                  </td>
                </tr>
                <tr>
                  <td>Chênh lệch với mua trả thẳng</td>
                  <td>990.000</td>
                  <td>990.000</td>
                  <td>990.000</td>
                </tr>
                <tr class="border_0">
                  <td></td>
                  <td>
                    <a
                      class="btn-default color-white full"
                      href="javascript:;"
                      @click="buy6Month()"
                    >
                      Mua
                    </a>
                  </td>
                  <td>
                    <a
                      class="btn-default color-white full"
                      href="javascript:;"
                      @click="buy9Month()"
                    >
                      Mua
                    </a>
                  </td>
                  <td>
                    <a
                      class="btn-default color-white full"
                      href="javascript:;"
                      @click="buy12Month()"
                    >
                      Mua
                    </a>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <div class="col-right">
        <div class="checkout_sidebar">
          <div class="flex tr space-between">
            <div>Đơn hàng ({{ cart.length }} sp)</div>
            <nuxt-link class="edit" to="/gio-hang">
              <strong>Sửa</strong>
              <svg class="icon-svg">
                <use xlink:href="/images/icons/icon.svg#arrow-right" />
              </svg>
            </nuxt-link>
          </div>
          <div
            v-for="product in cart"
            :key="product.id"
            class="flex tr space-between"
          >
            <div class="medium col-name mb16">
              <span class="color-main">1 x</span>
              {{ product.name }}
            </div>
            <div class="col-price">
              <strong>
                {{ (product.sale_price || product.price) | formatNumber }}
              </strong>
            </div>
          </div>
          <div class="tr">
            <div class="flex space-between">
              <div>Tạm tính</div>
              <div>
                <strong>{{ totalPrice | formatNumber }}</strong>
              </div>
            </div>
            <div v-if="totalSaleMoney > 0" class="flex space-between mt16">
              <div>Giảm giá</div>
              <div class="medium color-main">
                -{{ totalSaleMoney | formatNumber }}
              </div>
            </div>
          </div>
          <div class="flex tr space-between">
            <div style="margin-top: 4px;">Thành tiền</div>
            <div class="medium red txt_18">
              {{ totalCartMoney | formatNumber }}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: 'TraGop',
  data() {
    return {
      infoAlepay: {
        money: 0,
        card: 'visa',
        bank: 'acb',
      },
    }
  },
  computed: {
    cart() {
      return this.$store.state.cart
    },
    totalPrice() {
      return this.$store.getters.totalPrice
    },
    totalCartMoney() {
      return this.$store.getters.totalMoney
    },
    totalSaleMoney() {
      return this.$store.getters.totalSaleMoney
    },
  },
  mounted() {
    this.infoAlepay.money = this.totalPrice
    // // eslint-disable-next-line no-undef
    // const encrypt = new JSEncrypt()
    // const ChecksumKey = 'VrHXXk6eq0CeYqDGAa6bBpYxmpNrCP'
    // encrypt.setPublicKey(
    //   'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDlOJu6TyygqxfWT7eLtGDwajtNFOb9I5XRb6khyfD1Yt3YiCgQWMNW649887VGJiGr/L5i2osbl8C9+WJTeucF+S76xFxdU6jE0NQ+Z+zEdhUTooNRaY5nZiu5PgDB0ED/ZKBUSLKL7eibMxZtMlUDHjm4gwQco1KRMDSmXSMkDwIDAQAB'
    // )
    // // const keyprivate = encrypt.getPrivateKey()
    // const encrypted = encrypt.encrypt(
    //   "{ 'amount' : 3000000, 'currencyCode' :  'VND' }"
    // )
    // // eslint-disable-next-line no-undef
    // const decrypt = new JSEncrypt()
    // decrypt.setPrivateKey(
    //   'MIICXQIBAAKBgQDlOJu6TyygqxfWT7eLtGDwajtNFOb9I5XRb6khyfD1Yt3YiCgQWMNW649887VGJiGr/L5i2osbl8C9+WJTeucF+S76xFxdU6jE0NQ+Z+zEdhUTooNRaY5nZiu5PgDB0ED/ZKBUSLKL7eibMxZtMlUDHjm4gwQco1KRMDSmXSMkDwIDAQABAoGAfY9LpnuWK5Bs50UVep5c93SJdUi82u7yMx4iHFMc/Z2hfenfYEzu+57fI4fvxTQ//5DbzRR/XKb8ulNv6+CHyPF31xk7YOBfkGI8qjLoq06V+FyBfDSwL8KbLyeHm7KUZnLNQbk8yGLzB3iYKkRHlmUanQGaNMIJziWOkN+N9dECQQD0ONYRNZeuM8zd8XJTSdcIX4a3gy3GGCJxOzv16XHxD03GW6UNLmfPwenKu+cdrQeaqEixrCejXdAFz/7+BSMpAkEA8EaSOeP5Xr3ZrbiKzi6TGMwHMvC7HdJxaBJbVRfApFrE0/mPwmP5rN7QwjrMY+0+AbXcm8mRQyQ1+IGEembsdwJBAN6az8Rv7QnD/YBvi52POIlRSSIMV7SwWvSK4WSMnGb1ZBbhgdg57DXaspcwHsFV7hByQ5BvMtIduHcT14ECfcECQATeaTgjFnqE/lQ22Rk0eGaYO80cc643BXVGafNfd9fcvwBMnk0iGX0XRsOozVt5AzilpsLBYuApa66NcVHJpCECQQDTjI2AQhFc1yRnCU/YgDnSpJVm1nASoRUnU8Jfm3Ozuku7JUXcVpt08DFSceCEX9unCuMcT72rAQlLpdZir876'
    // )
    // const dd = decrypt.decrypt(encrypted)
    // // eslint-disable-next-line no-console
    // console.log(dd)
    // const options = {
    //   token: 'mMj85o1cL4wXpQrZeH3T9nl5WQM59s',
    //   checksum: md5(encrypted + ChecksumKey),
    //   data: encrypted,
    // }
    const options = {
      money: this.infoAlepay.money,
    }
    this.getInstallmentInfo(options)
  },
  methods: {
    getInstallmentInfo(options) {
      this.$axios.$post('/ale', options).then((res) => {
        // eslint-disable-next-line no-console
        console.log(res)
      })
    },
    buy6Month() {
      const options = {}
      this.$axios
        .$post('https://alepay.vn/checkout/v1/request-order', options)
        .then((res) => {})
    },
    buy9Month() {
      const options = {}
      this.$axios
        .$post('https://alepay.vn/checkout/v1/request-order', options)
        .then((res) => {})
    },
    buy12Month() {
      const options = {}
      this.$axios
        .$post('https://alepay.vn/checkout/v1/request-order', options)
        .then((res) => {})
    },
  },
}
</script>
